package com.agiledeveloper

import org.codehaus.groovy.transform.GroovyASTTransformation
import org.codehaus.groovy.control.CompilePhase
import org.codehaus.groovy.transform.ASTTransformation
import org.codehaus.groovy.ast.ASTNode
import org.codehaus.groovy.control.SourceUnit


@GroovyASTTransformation(phase = CompilePhase.SEMANTIC_ANALYSIS)
class InspectCode implements ASTTransformation {
  void visit(ASTNode[] astNodes, SourceUnit sourceUnit) {
    sourceUnit.ast.classes.each { classNode ->
      classNode.visitContents(new OurClassVisitor(sourceUnit))
    }
  }
}